- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRImage Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRImage ()
| CDRImage (const WPXBinaryData &image, double x1, double x2, double y1, double y2)
double | getMiddleX () const
double | getMiddleY () const
double | getWidth () const
double | getHeight () const
const WPXBinaryData & | getImage () const

## Public Attributes
WPXBinaryData | m_image
double | m_x1
double | m_x2
double | m_y1
double | m_y2

## Constructor & Destructor Documentation

libcdr::CDRImage::CDRImage | ( |  | ) |
| inline

libcdr::CDRImage::CDRImage | ( | const WPXBinaryData & | image,
|  | double | x1,
|  | double | x2,
|  | double | y1,
|  | double | y2
| ) |  |
| inline

## Member Function Documentation

double libcdr::CDRImage::getHeight | ( |  | ) | const
| inline

const WPXBinaryData& libcdr::CDRImage::getImage | ( |  | ) | const
| inline

double libcdr::CDRImage::getMiddleX | ( |  | ) | const
| inline

double libcdr::CDRImage::getMiddleY | ( |  | ) | const
| inline

double libcdr::CDRImage::getWidth | ( |  | ) | const
| inline

## Member Data Documentation

WPXBinaryData libcdr::CDRImage::m_image

Referenced by getImage().

double libcdr::CDRImage::m_x1

Referenced by getMiddleX(), and getWidth().

double libcdr::CDRImage::m_x2

Referenced by getMiddleX(), and getWidth().

double libcdr::CDRImage::m_y1

Referenced by getHeight(), and getMiddleY().

double libcdr::CDRImage::m_y2

Referenced by getHeight(), and getMiddleY().

The documentation for this struct was generated from the following file:

- CDRTypes.h